const { override, overrideDevServer, fixBabelImports, disableEsLint } = require('customize-cra');

const rewiredMap = () => config => {
	config.devtool = config.mode === 'development' ? 'cheap-module-source-map' : false;
	return config;
};

// const devServerConfig = () => config => {
// 	return {
// 		...config,
// 		proxy: {
// 			'/api': {
// 				target: 'https://openapi-meeting-gray.jdcloud.com/v1',
// 				changeOrigin: true,
// 				secure: false,
// 				pathRewrite: {
// 					"^/api": ""
// 				}
// 			}
// 		}
// 	};
// };

module.exports = {
	webpack: override(
		disableEsLint(),
		fixBabelImports("import", {
			libraryName: "antd",
			libraryDirectory: "es",
			style: "css"
		}
		), rewiredMap()
	),
	// devServer: overrideDevServer(devServerConfig())
};
