import React from "react";
import { BrowserRouter as Router, Route } from "react-router-dom";
import Logins from "./pages/login.js";
import Room from "./pages/room.js";
// import Demo from './pages/test';
const ApplicationRoutes = () => (
  <Router>
    <Route exact path="/" component={Logins} />
    <Route path="/login" component={Logins} />
    <Route path="/room" component={Room} />
    {/* <Route path='/rooms' component={Rooms} /> */}
    {/* <Route path='/test' component={Demo} /> */}
  </Router>
);

const Routes: React.FC = () => <ApplicationRoutes />;

export default Routes;
